%define	module	nag
%define	name	horde-%{module}
%define version 2.1.1
%define release %mkrel 1
%define _requires_exceptions pear(.*)

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:	The Horde task list manager
License:	GPL
Group: 		System/Servers
Source0:	ftp://ftp.horde.org/pub/%{module}/%{module}-h3-%{version}.tar.bz2
Source1:	%{module}-horde.conf.bz2
Patch0:		%{name}-2.0-path.patch
URL:		http://www.horde.org/%{module}
Requires(post):	rpm-helper
Requires:	horde >= 3.0
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
Nag is the Horde task list application. It stores todo items, things
due later this week, etc. It is very similar in functionality to the
Palm ToDo application.

%prep

%setup -q -n %{module}-h3-%{version}
%patch

# fix perms
chmod +x scripts/*

# fix encoding
for file in `find . -type f`; do
    perl -pi -e 'BEGIN {exit unless -T $ARGV[0];} tr/\r//d;' $file
done

%build

%install
rm -rf %{buildroot}

# horde configuration
install -d -m 755 %{buildroot}%{_sysconfdir}/horde/registry.d
cat > %{buildroot}%{_sysconfdir}/horde/registry.d/%{module}.php <<EOF
<?php
//
// Nag Horde configuration file
//
 
$this->applications['nag'] = array(
    'fileroot'    => $this->applications['horde']['fileroot'] . '/nag',
    'webroot'     => $this->applications['horde']['webroot'] . '/nag',
    'name'        => _("Tasks"),
    'status'      => 'active',
    'provides'    => 'tasks',
    'menu_parent' => 'organizing'
);
EOF

# remove .htaccess files
find . -name .htaccess -exec rm -f {} \;

# install files
install -d -m 755 %{buildroot}%{_var}/www/horde/%{module}
install -d -m 755 %{buildroot}%{_datadir}/horde/%{module}
install -d -m 755 %{buildroot}%{_sysconfdir}/horde
cp -pR *.php %{buildroot}%{_var}/www/horde/%{module}
cp -pR themes %{buildroot}%{_var}/www/horde/%{module}
cp -pR lib %{buildroot}%{_datadir}/horde/%{module}
cp -pR locale %{buildroot}%{_datadir}/horde/%{module}
cp -pR scripts %{buildroot}%{_datadir}/horde/%{module}
cp -pR templates %{buildroot}%{_datadir}/horde/%{module}
cp -pR config %{buildroot}%{_sysconfdir}/horde/%{module}

# use symlinks to recreate original structure
pushd %{buildroot}%{_var}/www/horde/%{module}
ln -s ../../../..%{_sysconfdir}/horde/%{module} config
ln -s ../../../..%{_datadir}/horde/%{module}/lib .
ln -s ../../../..%{_datadir}/horde/%{module}/locale .
ln -s ../../../..%{_datadir}/horde/%{module}/templates .
popd
pushd %{buildroot}%{_datadir}/horde/%{module}
ln -s ../../../..%{_sysconfdir}/horde/%{module} config
popd

# activate configuration files
for file in %{buildroot}%{_sysconfdir}/horde/%{module}/*.dist; do
	mv $file ${file%.dist}
done

# fix script shellbang
for file in `find %{buildroot}%{_datadir}/horde/%{module}/scripts`; do
	perl -pi -e 's|/usr/local/bin/php|/usr/bin/php|' $file
done

%clean
rm -rf %{buildroot}

%post
if [ $1 = 1 ]; then
	# configuration
	%create_ghostfile %{_sysconfdir}/horde/%{module}/conf.php apache apache 644
	%create_ghostfile %{_sysconfdir}/horde/%{module}/conf.php.bak apache apache 644
fi

%files
%defattr(-,root,root)
%doc COPYING README docs
%config(noreplace) %{_sysconfdir}/horde/registry.d/%{module}.php
%config(noreplace) %{_sysconfdir}/horde/%{module}
%{_datadir}/horde/%{module}
%{_var}/www/horde/%{module}

%changelog
* Mon Jun 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.1-1mdv2007.0
- New version 2.1.1
- use herein document for horde config
- uncompress patch

* Tue Mar 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-1mdk
- new version

* Tue Dec 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.4-1mdk
- New release 2.0.4

* Fri Sep 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.2-2mdk
- explicit dependency exception, as all those modules are provided by horde itself 
- %%mkrel

* Fri Aug 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.2-1mdk
- New release 2.0.2
- better fix encoding

* Thu Jun 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.1-3mdk 
- better fix encoding
- fix requires

* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.1-2mdk
- spec file cleanups, remove the ADVX-build stuff
- strip away annoying ^M

* Thu Jan 27 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.1-1mdk 
- new version
- no automatic config generation, incorrect default values
- horde isn't a prereq
- spec cleanup

* Mon Jan 17 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.0-2mdk 
- fix inclusion path
- fix configuration perms
- generate configuration at postinstall
- horde and rpm-helper are now a prereq

* Fri Jan 14 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.0-1mdk 
- new version
- top-level is now %{_var}/www/horde/%{module}
- config is now in %{_sysconfdir}/horde/%{module}
- other non-accessible files are now in %{_datadir}/horde/%{module}
- drop old obsoletes
- rediff patch0
- no more apache configuration
- rpmbuildupdate aware
- spec cleanup

* Mon Jul 19 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.1.1-5mdk 
- apache config file in %{_sysconfdir}/httpd/webapps.d

* Sat May 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.1.1-4mdk
- renamed to %{name}
- pluggable horde configuration
- standard perms for %{_sysconfdir}/httpd/conf.d/%{order}_%{name}.conf
- don't provide useless ADVXpackage virtual package

* Mon Apr 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.1.1-3mdk
- new version

* Sat Dec 20 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.1-2mdk
- untagged localisation files
- no more .htaccess files, use %{_sysconfdir}/httpd/conf.d/%{order}_%{module}.conf instead
- scripts now in  %{_datadir}/{name}

* Tue Sep 09 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.1-1mdk
- 1.1
- moved to nag, as previous nag package doesn't exist anymore
- spec cleanup
- remove useless files from webroot (.dist, doc files, .po)
- properly tag localisation files
- drop apache1 integration
- fixed URL
- ADVX macros
- removed implicit dependencies
- bzipped2 all sources

* Thu Jan 16 2003 Yves Duret <yves@zarb.org> 1.0-4mdk
- rebuild.

* Wed Nov 27 2002 Yves Duret <yves@zarb.org> 1.0-3mdk
- fix dir name.

* Wed Nov 27 2002 Yves Duret <yves@zarb.org> 1.0-2mdk
- rename as horde-nag, cause nag already exists in main
  Network Administration Guide :(

* Thu Nov 14 2002 Yves Duret <yves@zarb.org> 1.0-1mdk
- first mandrake release.
- added an INSTALL.mdk to explain how to configure nag.
- based on Brent J. Nordquist <bjn@horde.org> SRPM
  and using my common spec file for horde module.

* Tue Jun 25 2002 Brent J. Nordquist <bjn@horde.org>
- 1.0 release 1

